Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -2173,5 +2491,5 @@
 																		<object class="NSMutableDictionary">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>criteria</string>
@@ -2184,7 +2502,7 @@
 																				<object class="NSMutableArray">
 																					<bool key="EncodedWithXMLCoder">YES</bool>
-																					<reference ref="375100135"/>
-																					<reference ref="1016684085"/>
-																					<reference ref="247503625"/>
+																					<reference ref="171116946"/>
+																					<reference ref="911635573"/>
+																					<reference ref="426520134"/>
 																				</object>
 																				<object class="NSMutableArray">
@@ -2194,5 +2512,5 @@
 																					<reference ref="11724982"/>
 																				</object>
-																				<reference ref="8"/>
+																				<integer value="0"/>
 																				<object class="NSMutableArray">
 																					<bool key="EncodedWithXMLCoder">YES</bool>
@@ -2207,7 +2525,7 @@
 													<object class="NSMutableArray" key="NSRuleEditorSlices">
 														<bool key="EncodedWithXMLCoder">YES</bool>
-														<reference ref="277972727"/>
-														<reference ref="602619092"/>
-														<reference ref="588138263"/>
+														<reference ref="380709887"/>
+														<reference ref="937158238"/>
+														<reference ref="269605618"/>
 													</object>
 													<object class="NSArray" key="NSPredicateTemplates">
@@ -2226,5 +2544,5 @@
 											<object class="NSColor" key="NSBGColor">
 												<int key="NSColorSpace">3</int>
-												<bytes key="NSWhite">MC45MTAwMDAwMwA</bytes>
+												<bytes key="NSWhite">MC45MTAwMDAwMjYyAA</bytes>
 											</object>
 											<int key="NScvFlags">4</int>
@@ -2238,6 +2556,6 @@
 											<reference key="NSTarget" ref="815512319"/>
 											<string key="NSAction">_doScroller:</string>
-											<double key="NSCurValue">4.266666e-01</double>
-											<double key="NSPercent">9.800000e-01</double>
+											<double key="NSCurValue">0.38666659593582153</double>
+											<double key="NSPercent">0.98000001907348633</double>
 										</object>
 										<object class="NSScroller" id="969735904">
@@ -2291,10 +2609,10 @@
 														<bool key="EncodedWithXMLCoder">YES</bool>
 														<object class="NSTableColumn" id="285794460">
-															<double key="NSWidth">2.500000e+01</double>
-															<double key="NSMinWidth">1.000000e+01</double>
-															<double key="NSMaxWidth">3.402823e+38</double>
+															<double key="NSWidth">25</double>
+															<double key="NSMinWidth">10</double>
+															<double key="NSMaxWidth">3.4028230607370965e+38</double>
 															<object class="NSTableHeaderCell" key="NSHeaderCell">
-																<int key="NSCellFlags">75628032</int>
-																<int key="NSCellFlags2">0</int>
+																<int key="NSCellFlags">75628096</int>
+																<int key="NSCellFlags2">2048</int>
 																<string key="NSContents"/>
 																<reference key="NSSupport" ref="26"/>
@@ -2333,10 +2651,10 @@
 														</object>
 														<object class="NSTableColumn" id="113406531">
-															<double key="NSWidth">1.250000e+02</double>
-															<double key="NSMinWidth">1.000000e+01</double>
-															<double key="NSMaxWidth">3.402823e+38</double>
+															<double key="NSWidth">125</double>
+															<double key="NSMinWidth">10</double>
+															<double key="NSMaxWidth">3.4028230607370965e+38</double>
 															<object class="NSTableHeaderCell" key="NSHeaderCell">
-																<int key="NSCellFlags">75628032</int>
-																<int key="NSCellFlags2">0</int>
+																<int key="NSCellFlags">75628096</int>
+																<int key="NSCellFlags2">2048</int>
 																<string key="NSContents">Name</string>
 																<reference key="NSSupport" ref="26"/>
@@ -2356,5 +2674,5 @@
 																	<object class="NSColor" key="NSColor" id="935460209">
 																		<int key="NSColorSpace">3</int>
-																		<bytes key="NSWhite">MC42NjY2NjY2OQA</bytes>
+																		<bytes key="NSWhite">MC42NjY2NjY2NjY3AA</bytes>
 																	</object>
 																</object>
@@ -2366,10 +2684,10 @@
 														</object>
 														<object class="NSTableColumn" id="484726988">
-															<double key="NSWidth">3.960000e+02</double>
-															<double key="NSMinWidth">1.000000e+01</double>
-															<double key="NSMaxWidth">3.402823e+38</double>
+															<double key="NSWidth">396</double>
+															<double key="NSMinWidth">10</double>
+															<double key="NSMaxWidth">3.4028230607370965e+38</double>
 															<object class="NSTableHeaderCell" key="NSHeaderCell">
-																<int key="NSCellFlags">75628032</int>
-																<int key="NSCellFlags2">0</int>
+																<int key="NSCellFlags">75628096</int>
+																<int key="NSCellFlags2">2048</int>
 																<string key="NSContents">Description</string>
 																<reference key="NSSupport" ref="26"/>
@@ -2391,10 +2709,10 @@
 														</object>
 														<object class="NSTableColumn" id="635685037">
-															<double key="NSWidth">1.980000e+02</double>
-															<double key="NSMinWidth">1.000000e+01</double>
-															<double key="NSMaxWidth">3.402823e+38</double>
+															<double key="NSWidth">198</double>
+															<double key="NSMinWidth">10</double>
+															<double key="NSMaxWidth">3.4028230607370965e+38</double>
 															<object class="NSTableHeaderCell" key="NSHeaderCell">
-																<int key="NSCellFlags">75628032</int>
-																<int key="NSCellFlags2">0</int>
+																<int key="NSCellFlags">75628096</int>
+																<int key="NSCellFlags2">2048</int>
 																<string key="NSContents">Variants</string>
 																<reference key="NSSupport" ref="26"/>
@@ -2416,6 +2734,6 @@
 														</object>
 													</object>
-													<double key="NSIntercellSpacingWidth">3.000000e+00</double>
-													<double key="NSIntercellSpacingHeight">2.000000e+00</double>
+													<double key="NSIntercellSpacingWidth">3</double>
+													<double key="NSIntercellSpacingHeight">2</double>
 													<reference key="NSBackgroundColor" ref="415231890"/>
 													<object class="NSColor" key="NSGridColor" id="391761051">
@@ -2428,10 +2746,13 @@
 														</object>
 													</object>
-													<double key="NSRowHeight">1.700000e+01</double>
+													<double key="NSRowHeight">17</double>
 													<int key="NSTvFlags">-624951296</int>
+													<reference key="NSDelegate"/>
+													<reference key="NSDataSource"/>
 													<int key="NSColumnAutoresizingStyle">4</int>
 													<int key="NSDraggingSourceMaskForLocal">15</int>
 													<int key="NSDraggingSourceMaskForNonLocal">0</int>
 													<bool key="NSAllowsTypeSelect">YES</bool>
+													<int key="NSTableViewDraggingDestinationStyle">0</int>
 												</object>
 											</object>
@@ -2450,5 +2771,5 @@
 											<reference key="NSTarget" ref="520202466"/>
 											<string key="NSAction">_doScroller:</string>
-											<double key="NSPercent">9.921671e-01</double>
+											<double key="NSPercent">0.99216711521148682</double>
 										</object>
 										<object class="NSScroller" id="950337744">
@@ -2460,5 +2781,5 @@
 											<reference key="NSTarget" ref="520202466"/>
 											<string key="NSAction">_doScroller:</string>
-											<double key="NSPercent">9.973615e-01</double>
+											<double key="NSPercent">0.99736148118972778</double>
 										</object>
 										<object class="NSClipView" id="260654782">
@@ -2496,9 +2817,9 @@
 									<reference key="NSSuperview" ref="169664854"/>
 									<int key="NSpiFlags">20490</int>
-									<double key="NSMinValue">1.600000e+01</double>
-									<double key="NSMaxValue">1.000000e+02</double>
-								</object>
-							</object>
-							<string key="NSFrame">{{0, 25}, {773, 424}}</string>
+									<double key="NSMinValue">16</double>
+									<double key="NSMaxValue">100</double>
+								</object>
+							</object>
+							<string key="NSFrame">{{0, 28}, {773, 424}}</string>
 							<reference key="NSSuperview" ref="439893737"/>
 							<string key="NSClassName">NSView</string>
@@ -2508,13 +2829,13 @@
 							<int key="NSvFlags">1316</int>
 							<object class="NSPSMatrix" key="NSDrawMatrix"/>
-							<string key="NSFrame">{{6, 6}, {63, 12}}</string>
+							<string key="NSFrame">{{6, 9}, {63, 12}}</string>
 							<reference key="NSSuperview" ref="439893737"/>
 							<int key="NSpiFlags">24842</int>
-							<double key="NSMaxValue">1.000000e+02</double>
+							<double key="NSMaxValue">100</double>
 						</object>
 						<object class="NSTextField" id="1009077985">
 							<reference key="NSNextResponder" ref="439893737"/>
 							<int key="NSvFlags">292</int>
-							<string key="NSFrame">{{73, 4}, {231, 17}}</string>
+							<string key="NSFrame">{{73, 7}, {231, 17}}</string>
 							<reference key="NSSuperview" ref="439893737"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2535,9 +2856,9 @@
 						</object>
 					</object>
-					<string key="NSFrameSize">{773, 449}</string>
+					<string key="NSFrameSize">{773, 452}</string>
 					<reference key="NSSuperview"/>
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1680, 1028}}</string>
-				<string key="NSMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSMaxSize">{1.79769e+308, 1.79769e+308}</string>
 			</object>
 			<object class="NSWindowTemplate" id="59017063">
@@ -2549,5 +2870,5 @@
 				<string key="NSWindowClass">NSPanel</string>
 				<nil key="NSViewClass"/>
-				<string key="NSWindowContentMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSWindowContentMaxSize">{1.79769e+308, 1.79769e+308}</string>
 				<object class="NSView" key="NSWindowView" id="187671130">
 					<nil key="NSNextResponder"/>
@@ -2579,15 +2900,15 @@
 												<bool key="EncodedWithXMLCoder">YES</bool>
 												<object class="NSTableColumn" id="53254606">
-													<double key="NSWidth">4.000000e+01</double>
-													<double key="NSMinWidth">4.000000e+01</double>
-													<double key="NSMaxWidth">1.000000e+03</double>
+													<double key="NSWidth">40</double>
+													<double key="NSMinWidth">40</double>
+													<double key="NSMaxWidth">1000</double>
 													<object class="NSTableHeaderCell" key="NSHeaderCell">
-														<int key="NSCellFlags">75628032</int>
-														<int key="NSCellFlags2">0</int>
+														<int key="NSCellFlags">75628096</int>
+														<int key="NSCellFlags2">2048</int>
 														<string key="NSContents"/>
 														<reference key="NSSupport" ref="26"/>
 														<object class="NSColor" key="NSBackgroundColor" id="331499815">
 															<int key="NSColorSpace">3</int>
-															<bytes key="NSWhite">MC4zMzMzMzI5OQA</bytes>
+															<bytes key="NSWhite">MC4zMzMzMzI5ODU2AA</bytes>
 														</object>
 														<reference key="NSTextColor" ref="67059057"/>
@@ -2608,10 +2929,10 @@
 												</object>
 												<object class="NSTableColumn" id="174905645">
-													<double key="NSWidth">1.870000e+02</double>
-													<double key="NSMinWidth">4.000000e+01</double>
-													<double key="NSMaxWidth">1.000000e+03</double>
+													<double key="NSWidth">187</double>
+													<double key="NSMinWidth">40</double>
+													<double key="NSMaxWidth">1000</double>
 													<object class="NSTableHeaderCell" key="NSHeaderCell">
-														<int key="NSCellFlags">75628032</int>
-														<int key="NSCellFlags2">0</int>
+														<int key="NSCellFlags">75628096</int>
+														<int key="NSCellFlags2">2048</int>
 														<string key="NSContents"/>
 														<reference key="NSSupport" ref="26"/>
@@ -2634,10 +2955,10 @@
 												</object>
 												<object class="NSTableColumn" id="677207066">
-													<double key="NSWidth">1.000000e+01</double>
-													<double key="NSMinWidth">1.000000e+01</double>
-													<double key="NSMaxWidth">3.402823e+38</double>
+													<double key="NSWidth">10</double>
+													<double key="NSMinWidth">10</double>
+													<double key="NSMaxWidth">3.4028230607370965e+38</double>
 													<object class="NSTableHeaderCell" key="NSHeaderCell">
-														<int key="NSCellFlags">75628032</int>
-														<int key="NSCellFlags2">0</int>
+														<int key="NSCellFlags">75628096</int>
+														<int key="NSCellFlags2">2048</int>
 														<string key="NSContents"/>
 														<reference key="NSSupport" ref="26"/>
@@ -2660,14 +2981,17 @@
 												</object>
 											</object>
-											<double key="NSIntercellSpacingWidth">3.000000e+00</double>
-											<double key="NSIntercellSpacingHeight">2.000000e+00</double>
+											<double key="NSIntercellSpacingWidth">3</double>
+											<double key="NSIntercellSpacingHeight">2</double>
 											<reference key="NSBackgroundColor" ref="415231890"/>
 											<reference key="NSGridColor" ref="391761051"/>
-											<double key="NSRowHeight">4.000000e+01</double>
+											<double key="NSRowHeight">40</double>
 											<int key="NSTvFlags">-692060160</int>
+											<reference key="NSDelegate"/>
+											<reference key="NSDataSource"/>
 											<int key="NSColumnAutoresizingStyle">4</int>
 											<int key="NSDraggingSourceMaskForLocal">15</int>
 											<int key="NSDraggingSourceMaskForNonLocal">0</int>
 											<bool key="NSAllowsTypeSelect">YES</bool>
+											<int key="NSTableViewDraggingDestinationStyle">0</int>
 										</object>
 									</object>
@@ -2686,5 +3010,5 @@
 									<reference key="NSTarget" ref="199390391"/>
 									<string key="NSAction">_doScroller:</string>
-									<double key="NSPercent">9.969970e-01</double>
+									<double key="NSPercent">0.99699699878692627</double>
 								</object>
 								<object class="NSScroller" id="400167025">
@@ -2696,5 +3020,5 @@
 									<reference key="NSTarget" ref="199390391"/>
 									<string key="NSAction">_doScroller:</string>
-									<double key="NSPercent">9.959514e-01</double>
+									<double key="NSPercent">0.99595141410827637</double>
 								</object>
 							</object>
@@ -2712,5 +3036,5 @@
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1280, 778}}</string>
-				<string key="NSMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSMaxSize">{1.79769e+308, 1.79769e+308}</string>
 			</object>
 			<object class="NSCustomObject" id="517167976">
@@ -2737,4 +3061,8 @@
 					<string>depends_libAsString</string>
 					<string>escription</string>
+					<string>depends_build</string>
+					<string>depends_run</string>
+					<string>depends_fetch</string>
+					<string>depends_extract</string>
 				</object>
 				<string key="NSObjectClassName">MPPort</string>
@@ -2760,12 +3088,12 @@
 				<int key="NSWindowStyleMask">8211</int>
 				<int key="NSWindowBacking">2</int>
-				<string key="NSWindowRect">{{196, 224}, {608, 286}}</string>
+				<string key="NSWindowRect">{{196, 124}, {608, 386}}</string>
 				<int key="NSWTFlags">1677721600</int>
 				<string key="NSWindowTitle">Window</string>
 				<string key="NSWindowClass">NSPanel</string>
 				<nil key="NSViewClass"/>
-				<string key="NSWindowContentMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSWindowContentMaxSize">{1.79769e+308, 1.79769e+308}</string>
 				<object class="NSView" key="NSWindowView" id="263175754">
-					<nil key="NSNextResponder"/>
+					<reference key="NSNextResponder"/>
 					<int key="NSvFlags">256</int>
 					<object class="NSMutableArray" key="NSSubviews">
@@ -2774,5 +3102,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">268</int>
-							<string key="NSFrame">{{17, 250}, {537, 22}}</string>
+							<string key="NSFrame">{{17, 350}, {537, 22}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2781,7 +3109,7 @@
 								<int key="NSCellFlags2">272630784</int>
 								<string key="NSContents">Name</string>
-								<object class="NSFont" key="NSSupport">
+								<object class="NSFont" key="NSSupport" id="388431320">
 									<string key="NSName">LucidaGrande</string>
-									<double key="NSSize">1.800000e+01</double>
+									<double key="NSSize">18</double>
 									<int key="NSfFlags">16</int>
 								</object>
@@ -2797,5 +3125,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">292</int>
-							<string key="NSFrame">{{29, 65}, {144, 17}}</string>
+							<string key="NSFrame">{{29, 165}, {144, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2813,5 +3141,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">292</int>
-							<string key="NSFrame">{{29, 40}, {144, 17}}</string>
+							<string key="NSFrame">{{29, 45}, {144, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2829,5 +3157,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">292</int>
-							<string key="NSFrame">{{29, 15}, {144, 17}}</string>
+							<string key="NSFrame">{{29, 20}, {144, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2845,5 +3173,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">270</int>
-							<string key="NSFrame">{{29, 163}, {562, 79}}</string>
+							<string key="NSFrame">{{29, 263}, {562, 79}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2851,8 +3179,8 @@
 								<int key="NSCellFlags">67239424</int>
 								<int key="NSCellFlags2">272629760</int>
-								<string type="base64-UTF8" key="NSContents">ZGVzY3JpcHRpb27igKY</string>
+								<string key="NSContents">description…</string>
 								<object class="NSFont" key="NSSupport">
 									<string key="NSName">LucidaGrande</string>
-									<double key="NSSize">1.300000e+01</double>
+									<double key="NSSize">13</double>
 									<int key="NSfFlags">16</int>
 								</object>
@@ -2865,5 +3193,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">290</int>
-							<string key="NSFrame">{{175, 40}, {416, 17}}</string>
+							<string key="NSFrame">{{175, 45}, {416, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2871,5 +3199,5 @@
 								<int key="NSCellFlags">68288064</int>
 								<int key="NSCellFlags2">272630784</int>
-								<string type="base64-UTF8" key="NSContents">cGxhdGZvcm1z4oCmA</string>
+								<string key="NSContents">platforms…</string>
 								<reference key="NSSupport" ref="782475540"/>
 								<reference key="NSControlView" ref="652164161"/>
@@ -2881,5 +3209,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">290</int>
-							<string key="NSFrame">{{175, 15}, {416, 17}}</string>
+							<string key="NSFrame">{{175, 20}, {416, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2887,5 +3215,5 @@
 								<int key="NSCellFlags">68288064</int>
 								<int key="NSCellFlags2">272630784</int>
-								<string type="base64-UTF8" key="NSContents">bWFpbnRhaW5lcnPigKY</string>
+								<string key="NSContents">maintainers…</string>
 								<reference key="NSSupport" ref="782475540"/>
 								<reference key="NSControlView" ref="512124010"/>
@@ -2904,5 +3232,5 @@
 								</object>
 							</object>
-							<string key="NSFrame">{{175, 65}, {416, 17}}</string>
+							<string key="NSFrame">{{175, 165}, {416, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2916,5 +3244,5 @@
 									<object class="NSDictionary" key="NSAttributes">
 										<bool key="EncodedWithXMLCoder">YES</bool>
-										<object class="NSMutableArray" key="dict.sortedKeys">
+										<object class="NSArray" key="dict.sortedKeys">
 											<bool key="EncodedWithXMLCoder">YES</bool>
 											<string>NSAttachment</string>
